### Virtual Method

# Clutter Canvas draw

#### Declaration [src]

    gboolean
    draw (
      ClutterCanvas* canvas,
      cairo_t* cr,
      int width,
      int height
    )

#### Description

No description available.

#### Parameters

`cr`

  Type: `cairo_t`

  No description available.

  The data is owned by the caller of the function.

`width`

  Type: `int`

  No description available.

`height`

  Type: `int`

  No description available.

#### Return value

Type: `gboolean`

No description available.